summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-libs/libasyncns
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-libs/libasyncns')
-rw-r--r--net-libs/libasyncns/Manifest1
-rw-r--r--net-libs/libasyncns/files/libasyncns-0.8-libdir.patch10
-rw-r--r--net-libs/libasyncns/libasyncns-0.8-r3.ebuild60
-rw-r--r--net-libs/libasyncns/metadata.xml7
4 files changed, 78 insertions, 0 deletions
diff --git a/net-libs/libasyncns/Manifest b/net-libs/libasyncns/Manifest
new file mode 100644
index 00000000000..6a6341e7951
--- /dev/null
+++ b/net-libs/libasyncns/Manifest
@@ -0,0 +1 @@
+DIST libasyncns-0.8.tar.gz 341591 SHA256 4f1a66e746cbe54ff3c2fbada5843df4fbbbe7481d80be003e8d11161935ab74 SHA512 2daad3a2d9eb875e0575843d9e9e2787be6cbba89211fd073fa8898ff80e0a891c7da1a7b0ef70f306318cb3a963ecd65d53d24d08b5f6b98e7cd2a3b3bdcda7 WHIRLPOOL b57b449bf96584667e0d411f4b491c2e52f0fd9c129ad579f82878e3ec612bec636f1a4792f9c63c3174e30938acbc1ed70eb81391903259ea63b79dfaa7e0d8
diff --git a/net-libs/libasyncns/files/libasyncns-0.8-libdir.patch b/net-libs/libasyncns/files/libasyncns-0.8-libdir.patch
new file mode 100644
index 00000000000..44deca5dca2
--- /dev/null
+++ b/net-libs/libasyncns/files/libasyncns-0.8-libdir.patch
@@ -0,0 +1,10 @@
+--- libasyncns-0.8/libasyncns.pc.in.orig 2011-03-27 03:45:59.804339219 +0100
++++ libasyncns-0.8/libasyncns.pc.in 2011-03-27 03:46:12.368119660 +0100
+@@ -1,6 +1,6 @@
+ prefix=@prefix@
+ exec_prefix=${prefix}
+-libdir=${exec_prefix}/lib
++libdir=@libdir@
+ includedir=${prefix}/include
+
+ Name: libasyncns
diff --git a/net-libs/libasyncns/libasyncns-0.8-r3.ebuild b/net-libs/libasyncns/libasyncns-0.8-r3.ebuild
new file mode 100644
index 00000000000..847c3477ce9
--- /dev/null
+++ b/net-libs/libasyncns/libasyncns-0.8-r3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic libtool multilib multilib-minimal
+
+DESCRIPTION="C library for executing name service queries asynchronously"
+HOMEPAGE="http://0pointer.de/lennart/projects/libasyncns/"
+SRC_URI="http://0pointer.de/lennart/projects/libasyncns/${P}.tar.gz"
+
+SLOT="0"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~sh sparc x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc debug"
+
+RDEPEND=""
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ # fix libdir in pkgconfig file
+ epatch "${FILESDIR}/${P}-libdir.patch"
+ elibtoolize
+}
+
+multilib_src_configure() {
+ # libasyncns uses assert()
+ use debug || append-cppflags -DNDEBUG
+
+ ECONF_SOURCE=${S} \
+ econf \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ --disable-dependency-tracking \
+ --disable-lynx \
+ --disable-static
+}
+
+multilib_src_compile() {
+ emake || die "emake failed"
+
+ if multilib_is_native_abi && use doc; then
+ doxygen doxygen/doxygen.conf || die "doxygen failed"
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if multilib_is_native_abi && use doc; then
+ docinto apidocs
+ dohtml html/*
+ fi
+}
+
+multilib_src_install_all() {
+ find "${D}" -name '*.la' -delete
+}
diff --git a/net-libs/libasyncns/metadata.xml b/net-libs/libasyncns/metadata.xml
new file mode 100644
index 00000000000..ff62877c67a
--- /dev/null
+++ b/net-libs/libasyncns/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+</maintainer>
+</pkgmetadata>